Bug 110132 - [CI][SHARDS] igt@kms_plane@pixel-format-pipe-b-planes - fail - Starting subtest: pixel-format-pipe-B-planes, WARNING: CRC mismatch with format YUYV(0x56595559) on B.1
Summary: [CI][SHARDS] igt@kms_plane@pixel-format-pipe-b-planes - fail - Starting subte...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high normal
Assignee: Juha-Pekka Heikkilä
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-15 14:23 UTC by Martin Peres
Modified: 2019-04-09 12:56 UTC (History)
1 user (show)

See Also:
i915 platform: SKL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-03-15 14:23:10 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5746/shard-skl2/igt@kms_plane@pixel-format-pipe-b-planes.html

Starting subtest: pixel-format-pipe-B-planes
(kms_plane:1154) WARNING: CRC mismatch with format YUYV(0x56595559) on B.1
(kms_plane:1154) WARNING: CRC mismatch with format YUYV(0x56595559) on B.1
(kms_plane:1154) WARNING: CRC mismatch with format YVYU(0x55595659) on B.1
(kms_plane:1154) WARNING: CRC mismatch with format YVYU(0x55595659) on B.1
(kms_plane:1154) WARNING: CRC mismatch with format UYVY(0x59565955) on B.1
(kms_plane:1154) WARNING: CRC mismatch with format UYVY(0x59565955) on B.1
(kms_plane:1154) WARNING: CRC mismatch with format VYUY(0x59555956) on B.1
(kms_plane:1154) WARNING: CRC mismatch with format VYUY(0x59555956) on B.1
Comment 1 CI Bug Log 2019-03-15 14:24:22 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* SKL: igt@kms_plane@pixel-format-pipe-b-planes - fail - Starting subtest: pixel-format-pipe-B-planes, WARNING: CRC mismatch with format YUYV(0x56595559) on B.1
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5746/shard-skl2/igt@kms_plane@pixel-format-pipe-b-planes.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12462/shard-skl9/igt@kms_plane@pixel-format-pipe-b-planes.html
Comment 3 CI Bug Log 2019-03-18 14:33:53 UTC
A CI Bug Log filter associated to this bug has been updated:

{- SKL: igt@kms_plane@pixel-format-pipe-[abc].*- - fail - Starting subtest: pixel-format-pipe-B-planes, WARNING: CRC mismatch with format YUYV(0x56595559) on B.1 -}
{+ SKL: igt@kms_plane@pixel-format-pipe-[abc]-planes* - fail - First error is "WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].[01]" +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-skl-6260u/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-skl-6600u/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-skl-6700k2/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-skl-guc/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-skl-gvtdvm/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-skl-lmem/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_246/fi-skl-6260u/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_246/fi-skl-6600u/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_246/fi-skl-6700k2/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_246/fi-skl-guc/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_246/fi-skl-gvtdvm/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_246/fi-skl-lmem/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
Comment 4 CI Bug Log 2019-03-20 11:50:28 UTC
A CI Bug Log filter associated to this bug has been updated:

{- SKL: igt@kms_plane@pixel-format-pipe-[abc]-planes* - fail - First error is "WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].[01]" -}
{+ SKL: igt@kms_plane@pixel-format-pipe-[abc]-planes* - fail - First error is "WARNING: CRC mismatches with format YUYV(0x56595559) on [ABC].[01] with 2/8 solid colors tested (0x88)" +}

 No new failures caught with the new filter
Comment 5 Martin Peres 2019-04-09 12:55:57 UTC
Verified to be fixed by:

commit 76a8f9cf7890969e8f2b4550600c6d3ee6913dd7
Author:     Juha-Pekka Heikkila <juhapekka.heikkila@gmail.com>
AuthorDate: Fri Mar 15 17:23:34 2019 +0200
Commit:     Juha-Pekka Heikkila <juhapekka.heikkila@gmail.com>
CommitDate: Wed Mar 20 10:48:20 2019 +0200

    lib/igt_kms: reset plane alpha and blend in igt_plane_reset()
    
    plane alpha and blend would affect other tests if left
    in unexpected states
    
    v2 (ville syrjälä): use "Pre-multiplied" as default for
    IGT_PLANE_PIXEL_BLEND_MODE.
    
    Signed-off-by: Juha-Pekka Heikkila <juhapekka.heikkila@gmail.com>
    Reviewed-by: Ville Syrjälä <ville.syrjala@linux.intel.com>
Comment 6 CI Bug Log 2019-04-09 12:56:06 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.